### Signal

# Qmi ClientLoc::inject-xtra-data

since: 1.22

#### Declaration

    void
    inject_xtra_data (
      QmiClientLoc* self,
      QmiIndicationLocInjectXtraDataOutput* output,
      gpointer user_data
    )

#### Description [src]

The ::inject-xtra-data signal gets emitted when a ‘Inject Xtra Data‘ indication is received.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.22

#### Parameters

`output`

  Type: `QmiIndicationLocInjectXtraDataOutput`

  A `QmiIndicationLocInjectXtraDataOutput`.

  The data is owned by the caller of the function.